LibreOffice: UnoControlScrollBar Service Reference

LibreOffice LibreOffice 5.4 SDK API Reference

Included Services | Exported Interfaces | List of all members
UnoControlScrollBar Service Referencepublished

specifies a scroll bar control. More...

`import"UnoControlScrollBar.idl";`

Inheritance diagram for UnoControlScrollBar:

## Included Services
service | com::sun::star::awt::UnoControl

## Exported Interfaces
interface | com::sun::star::awt::XScrollBar
Exported Interfaces inherited from UnoControl
interface | com::sun::star::lang::XComponent
interface | com::sun::star::awt::XControl
interface | com::sun::star::awt::XWindow
interface | com::sun::star::awt::XView
interface | com::sun::star::accessibility::XAccessible
| provides access to the accessible context associated with this object. More...

## Additional Inherited Members
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XControl
void | setContext ([in] com::sun::star::uno::XInterface Context)
| sets the context of the control. More...
com::sun::star::uno::XInterface | getContext ()
| gets the context of the control. More...
void | createPeer ([in] com::sun::star::awt::XToolkit Toolkit, [in] com::sun::star::awt::XWindowPeer Parent)
| creates a "child" window on the screen. More...
com::sun::star::awt::XWindowPeer | getPeer ()
| returns the peer which was previously created or set. More...
boolean | setModel ([in] com::sun::star::awt::XControlModel Model)
| sets a model for the control. More...
com::sun::star::awt::XControlModel | getModel ()
| returns the model for this control. More...
com::sun::star::awt::XView | getView ()
| returns the view of this control. More...
void | setDesignMode ([in] boolean bOn)
| sets the design mode for use in a design editor. More...
boolean | isDesignMode ()
| returns `TRUE` if the control is in design mode, `FALSE` otherwise. More...
boolean | isTransparent ()
| returns `TRUE` if the control is transparent, `FALSE` otherwise. More...
Public Member Functions inherited from XWindow
void | setPosSize ([in] long X, [in] long Y, [in] long Width, [in] long Height, [in] short Flags)
| sets the outer bounds of the window. More...
com::sun::star::awt::Rectangle | getPosSize ()
| returns the outer bounds of the window. More...
void | setVisible ([in] boolean Visible)
| shows or hides the window depending on the parameter. More...
void | setEnable ([in] boolean Enable)
| enables or disables the window depending on the parameter. More...
void | setFocus ()
| sets the focus to the window. More...
void | addWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| adds a window listener to the object. More...
void | removeWindowListener ([in] com::sun::star::awt::XWindowListener xListener)
| removes the specified window listener from the listener list. More...
void | addFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| adds a focus listener to the object. More...
void | removeFocusListener ([in] com::sun::star::awt::XFocusListener xListener)
| removes the specified focus listener from the listener list. More...
void | addKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| adds a key listener to the object. More...
void | removeKeyListener ([in] com::sun::star::awt::XKeyListener xListener)
| removes the specified key listener from the listener list. More...
void | addMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| adds a mouse listener to the object. More...
void | removeMouseListener ([in] com::sun::star::awt::XMouseListener xListener)
| removes the specified mouse listener from the listener list. More...
void | addMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| adds a mouse motion listener to the object. More...
void | removeMouseMotionListener ([in] com::sun::star::awt::XMouseMotionListener xListener)
| removes the specified mouse motion listener from the listener list. More...
void | addPaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| adds a paint listener to the object. More...
void | removePaintListener ([in] com::sun::star::awt::XPaintListener xListener)
| removes the specified paint listener from the listener list. More...
Public Member Functions inherited from XView
boolean | setGraphics ([in] com::sun::star::awt::XGraphics aDevice)
| sets the output device. More...
com::sun::star::awt::XGraphics | getGraphics ()
| returns the output device which was set using the method XView::setGraphics(). More...
com::sun::star::awt::Size | getSize ()
| returns the size of the object in device units. More...
void | draw ([in] long nX, [in] long nY)
| draws the object at the specified position. More...
void | setZoom ([in] float fZoomX, [in] float fZoomY)
| sets the zoom factor. More...
Public Member Functions inherited from XScrollBar
void | addAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener l)
| registers an adjustment event listener. More...
void | removeAdjustmentListener ([in] com::sun::star::awt::XAdjustmentListener l)
| unregisters an adjustment event listener. More...
void | setValue ([in] long n)
| sets the scroll value of the scroll bar. More...
void | setValues ([in] long nValue, [in] long nVisible, [in] long nMax)
| sets the scroll value, visible area and maximum scroll value of the scroll bar. More...
long | getValue ()
| returns the current scroll value of the scroll bar. More...
void | setMaximum ([in] long n)
| sets the maximum scroll value of the scroll bar. More...
long | getMaximum ()
| returns the currently set maximum scroll value of the scroll bar. More...
void | setLineIncrement ([in] long n)
| sets the increment for a single line move. More...
long | getLineIncrement ()
| returns the currently set increment for a single line move. More...
void | setBlockIncrement ([in] long n)
| sets the increment for a block move. More...
long | getBlockIncrement ()
| returns the currently set increment for a block move. More...
void | setVisibleSize ([in] long n)
| sets the visible size of the scroll bar. More...
long | getVisibleSize ()
| returns the currently visible size of the scroll bar. More...
void | setOrientation ([in] long n)
| sets the ScrollBarOrientation of the scroll bar. More...
long | getOrientation ()
| returns the currently set ScrollBarOrientation of the scroll bar. More...
Protected Member Functions inherited from XAccessible
XAccessibleContext | getAccessibleContext ()
| Returns the AccessibleContext associated with this object. More...

## Detailed Description

specifies a scroll bar control.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControl

service com::sun::star::awt::UnoControl

## Exported Interfaces

## ◆ com::sun::star::awt::XScrollBar

interface com::sun::star::awt::XScrollBar

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlScrollBar.idl